Bug 22805 - Can't get terminfo and backspace key in sync
Summary: Can't get terminfo and backspace key in sync
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: termcap   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-24 13:42 UTC by Vlado Potisk
Modified: 2007-04-18 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-06 20:57:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vlado Potisk 2000-12-24 13:42:43 UTC
Terminfo defines backspace key as kbs=\177 (i.e. ^?) but
backspace key in xterm generates ^H . So I redefined terminfo
record for xterm to kbs=^H, restarted X but now the backspace
key generates ^? ...

Comment 1 Mike A. Harris 2001-04-02 16:54:02 UTC
Can't seem to reproduce in our latest rawhide packages.  If I use
any of BS, DEL, or ^H, they all do as expected.


Note You need to log in before you can comment on or make changes to this bug.